org.apache.ignite.internal.processors.cache.persistence.wal

## Class ByteBufferExpander

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.wal.ByteBufferExpander

All Implemented Interfaces:
  AutoCloseable

    public class ByteBufferExpander
    extends Object
    implements AutoCloseable

ByteBuffer wrapper for dynamically expand buffer size.

### Constructor Summary

Constructors
Constructor and Description
`ByteBufferExpander(int initSize, ByteOrder order)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ByteBuffer` `buffer()` Current byte buffer.
`void` `close()`
`ByteBuffer` `expand(int size)` Expands current byte buffer to the requested size.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ByteBufferExpander

    public ByteBufferExpander(int initSize,
                              ByteOrder order)

Parameters:
  `initSize` - Initial size.
  `order` - Byte order.

### Method Detail

#### buffer

    public ByteBuffer buffer()

Current byte buffer.

Returns:
  Current byteBuffer.

#### expand

    public ByteBuffer expand(int size)

Expands current byte buffer to the requested size.

Returns:
  ByteBuffer with requested size.

#### close

    public void close()

Specified by:
  `close` in interface `AutoCloseable`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018